Bug 499932 - PythonCAD contains a syntax error
PythonCAD contains a syntax error
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: PythonCAD (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-08 23:04 EDT by Russell Strong
Modified: 2009-07-11 13:05 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.1.36-7.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-11 13:05:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for the layer.py error (687 bytes, patch)
2009-06-23 10:59 EDT, leigh scott
no flags Details | Diff

  None (edit)
Description Russell Strong 2009-05-08 23:04:25 EDT
Description:

[russell@studio ~]$ gtkpycad

Traceback (most recent call last):
  File "/usr/bin/gtkpycad", line 38, in <module>
    from PythonCAD.Generic import imageio
  File "/usr/lib/python2.6/site-packages/PythonCAD/Generic/imageio.py", line 36, in <module>
    from PythonCAD.Generic import layer
  File "/usr/lib/python2.6/site-packages/PythonCAD/Generic/layer.py", line 477
    def setAutosplit(self, as):
                            ^
SyntaxError: invalid syntax
Comment 1 Bug Zapper 2009-06-09 11:30:50 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 leigh scott 2009-06-23 10:59:19 EDT
Created attachment 349099 [details]
Fix for the layer.py error
Comment 3 leigh scott 2009-06-23 11:05:30 EDT
(In reply to comment #2)
> Created an attachment (id=349099) [details]
> Fix for the layer.py error

It works fine with the patch :-)  

Patch: http://leigh123linux.fedorapeople.org/pub/patches/layer.py.patch

SPECS: http://leigh123linux.fedorapeople.org/pub/SPECS/PythonCAD.spec

SRPMS: http://leigh123linux.fedorapeople.org/pub/srpm/PythonCAD-0.1.36-7.fc11.src.rpm
Comment 4 Fedora Update System 2009-06-29 12:40:43 EDT
PythonCAD-0.1.36-7.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/PythonCAD-0.1.36-7.fc11
Comment 5 Fedora Update System 2009-07-02 01:49:52 EDT
PythonCAD-0.1.36-7.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update PythonCAD'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7244
Comment 6 Fedora Update System 2009-07-11 13:05:33 EDT
PythonCAD-0.1.36-7.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.